mirror of
git://slackware.nl/current.git
synced 2024-12-28 09:59:53 +01:00
3646186e41
ap/mariadb-10.4.12-x86_64-1.txz: Upgraded. This fixes a potential denial-of-service vulnerability. For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-2574 (* Security fix *) l/imagemagick-7.0.9_20-x86_64-1.txz: Upgraded. n/dhcpcd-8.1.6-x86_64-1.txz: Upgraded. n/samba-4.11.6-x86_64-1.txz: Upgraded. x/mesa-19.3.3-x86_64-1.txz: Upgraded.
48 lines
1.8 KiB
Diff
48 lines
1.8 KiB
Diff
--- ./scripts/mysql_install_db.sh.orig 2020-01-28 11:31:09.088303502 -0600
|
|
+++ ./scripts/mysql_install_db.sh 2020-01-28 11:35:47.822283410 -0600
|
|
@@ -480,25 +480,26 @@
|
|
|
|
if test -n "$user"
|
|
then
|
|
- if test -z "$srcdir" -a "$in_rpm" -eq 0
|
|
- then
|
|
- chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
|
|
- chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
|
|
- if test $? -ne 0
|
|
- then
|
|
- echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
|
|
- echo "It must be root, the PAM authentication plugin doesn't work otherwise.."
|
|
- echo
|
|
- fi
|
|
- chown $user "$pamtooldir/auth_pam_tool_dir" && \
|
|
- chmod 0700 "$pamtooldir/auth_pam_tool_dir"
|
|
- if test $? -ne 0
|
|
- then
|
|
- echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
|
|
- echo "to the '$user' user. Check that you have the necessary permissions and try again."
|
|
- echo
|
|
- fi
|
|
- fi
|
|
+ # Commented out since Slackware does not currently provide PAM:
|
|
+ #if test -z "$srcdir" -a "$in_rpm" -eq 0
|
|
+ #then
|
|
+ # chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
|
|
+ # chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
|
|
+ # if test $? -ne 0
|
|
+ # then
|
|
+ # echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
|
|
+ # echo "It must be root, the PAM authentication plugin doesn't work otherwise.."
|
|
+ # echo
|
|
+ # fi
|
|
+ # chown $user "$pamtooldir/auth_pam_tool_dir" && \
|
|
+ # chmod 0700 "$pamtooldir/auth_pam_tool_dir"
|
|
+ # if test $? -ne 0
|
|
+ # then
|
|
+ # echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
|
|
+ # echo "to the '$user' user. Check that you have the necessary permissions and try again."
|
|
+ # echo
|
|
+ # fi
|
|
+ #fi
|
|
args="$args --user=$user"
|
|
fi
|
|
|